> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/import/get-import-template-details.md).

# Get import template details

Get import template details. When includeLayouts is true, the response contains all layouts for the template. If includeConversions is also true, the response also contains all conversions for every layout. includeConversions is only honored if includeLayouts is true

Required permissions: IMPORT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Import","description":"Import"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]},{"accessToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"parameters":{"includeLayoutsQuery":{"name":"includeLayouts","in":"query","required":false,"schema":{"type":"boolean"},"description":"Include layouts in response"},"includeConversionsQuery":{"name":"includeConversions","in":"query","required":false,"schema":{"type":"boolean"},"description":"Include conversions in response"}},"responses":{"ImportTemplateResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportTemplateResponseSchema"}}}}},"schemas":{"ImportTemplateResponseSchema":{"title":"ImportTemplateResponseSchema","type":"object","required":["templateUid","name","description","createdBy","createdAt","lastModifiedBy","lastModifiedAt","layouts","entity","importFormat","fields"],"properties":{"templateUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"layouts":{"type":"array","items":{"$ref":"#/components/schemas/ImportLayoutResponseSchema"}},"entity":{"$ref":"#/components/schemas/ImportEntityENUM"},"importFormat":{"$ref":"#/components/schemas/ImportFormatENUM"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/ImportFieldDefinitionSchema"}}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ImportLayoutResponseSchema":{"title":"ImportLayoutResponseSchema","allOf":[{"type":"object","properties":{"layoutUid":{"$ref":"#/components/schemas/UID"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"conversions":{"type":"array","items":{"$ref":"#/components/schemas/ImportConversionResponseSchema"}}},"required":["layoutUid","conversions","createdBy","createdAt","lastModifiedBy","lastModifiedAt"]},{"$ref":"#/components/schemas/ImportLayoutUpdateRequestSchema"}]},"ImportConversionResponseSchema":{"title":"ImportConversionResponseSchema","allOf":[{"type":"object","properties":{"conversionUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["conversionUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},{"$ref":"#/components/schemas/ImportConversionUpdateRequestSchema"}]},"ImportConversionUpdateRequestSchema":{"title":"ImportConversionUpdateRequestSchema","type":"object","properties":{"fromValue":{"type":"string"},"toValue":{"type":"string"}},"required":["fromValue","toValue"]},"ImportLayoutUpdateRequestSchema":{"title":"ImportLayoutUpdateRequestSchema","type":"object","properties":{"fieldName":{"type":"string","description":"Entity field name in FlowRetail"},"value":{"type":"string","description":"Static value, or reference to field in import file.\n\nExample: For EXCEL import use `A` to get the value from column A"}},"required":["fieldName","value"]},"ImportEntityENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PRODUCTS | Import products |\n| PRICES | Import prices|\n| PRODUCT_GROUPS | Import product groups |\n| BRANDS | Import brands|\n| CUSTOMERS | Import customers|\n| STOCK | Import stock values|\n| SUPPLIER_PRODUCT | Import Product supplier information|\n| SUPPLIERS | Import suppliers|","minLength":1,"title":"ImportEntityENUM","type":"string","enum":["PRODUCTS","PRICES","PRODUCT_GROUPS","BRANDS","CUSTOMERS","STOCK","SUPPLIER_PRODUCT","SUPPLIERS"]},"ImportFormatENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| EXCEL | XLS file |\n","minLength":1,"title":"ImportFormatENUM","type":"string","enum":["EXCEL"]},"ImportFieldDefinitionSchema":{"title":"ImportFieldDefinitionSchema","type":"object","required":["name","type","allowedValues","createUsage","updateUsage"],"properties":{"name":{"type":"string"},"type":{"type":"string"},"allowedValues":{"type":"array","items":{"type":"string"}},"createUsage":{"$ref":"#/components/schemas/ImportFieldUsageSchema"},"updateUsage":{"$ref":"#/components/schemas/ImportFieldUsageSchema"}}},"ImportFieldUsageSchema":{"title":"ImportFieldUsageSchema","type":"object","required":["usage","requiredExchangeableWith"],"properties":{"usage":{"$ref":"#/components/schemas/ImportFieldUsageENUM"},"requiredExchangeableWith":{"type":"array","description":"List of field names that can substitute this field. \nAt least one field in an exchangeable group must be mapped in the layout. \nEmpty array if the field is unconditionally required.","items":{"type":"string"}}}},"ImportFieldUsageENUM":{"title":"ImportFieldUsageENUM","type":"string","enum":["REQUIRED","OPTIONAL","UNAVAILABLE"]}}},"paths":{"/tenants/{tenantUid}/imports/templates/{importTemplateUid}":{"get":{"description":"Get import template details.\nWhen includeLayouts is true, the response contains all layouts for the template.\nIf includeConversions is also true, the response also contains all conversions for every layout.\nincludeConversions is only honored if  includeLayouts is true\n\nRequired permissions: IMPORT","operationId":"get-tenants-imports-templates-details","parameters":[{"$ref":"#/components/parameters/includeLayoutsQuery"},{"$ref":"#/components/parameters/includeConversionsQuery"}],"responses":{"200":{"$ref":"#/components/responses/ImportTemplateResponse"}},"summary":"Get import template details","tags":["Import"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/import/get-import-template-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
